Package com.mockobjects.io

# Class MockOutputStream

java.lang.Object
java.io.OutputStream
com.mockobjects.io.MockOutputStream

All Implemented Interfaces:
  `Verifiable`, `Closeable`, `Flushable`, `AutoCloseable`

public class MockOutputStream extends OutputStream implements Verifiable

## Constructor Summary

Constructors
Constructor
Description
`MockOutputStream()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clearActualBuffer()`
`void`
`close()`
`void`
`flush()`
`String`
`getContents()`
`byte[]`
`getContentsAsByteArray()`
Added in response to Bug report 546661.
`void`
`setExpectedCloseCalls(int closeCall)`
`void`
`setExpectedFlushCalls(int flushCall)`
`void`
`setExpectingWriteCalls(boolean expectingWriteCall)`
`void`
`setupThrowIOException(boolean throwException)`
`void`
`verify()`
Throw an AssertionFailedException if any expectations have not been met.
`void`
`write(int b)`

### Methods inherited from class java.io.OutputStream

`nullOutputStream, write, write`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockOutputStream

public MockOutputStream()

## Method Details

### clearActualBuffer

public void clearActualBuffer()

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`

### getContents

public String getContents()

### getContentsAsByteArray

public byte[] getContentsAsByteArray()
Added in response to Bug report 546661.

### setExpectedCloseCalls

public void setExpectedCloseCalls(int closeCall)

### setExpectedFlushCalls

public void setExpectedFlushCalls(int flushCall)

### setExpectingWriteCalls

public void setExpectingWriteCalls(boolean expectingWriteCall)

### setupThrowIOException

public void setupThrowIOException(boolean throwException)

### verify

public void verify()
Description copied from interface: `Verifiable`
Throw an AssertionFailedException if any expectations have not been met.

Specified by:
  `verify` in interface `Verifiable`

### write

public void write(int b) throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`